#pragma once

#include "BitVector.h"

class Part;
class Puzzle;

class Instance
{
public:
	Instance() {}
	Instance(BitVector turn, Puzzle* puzzle, int x, int y, int z, Part* part);
	~Instance(void);

	BitVector hash;
	Part* part;
	void map(Puzzle* puzzle, bool erase = false);
};
